<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2010
 * @note This file is part of Cookbook recipe "QNotes" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package qnotes
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;

    $prefix = 'qnotes';
    $cookbook[$prefix]['name'] = 'qnotes';
    $cookbook[$prefix]['version'] = '2.2.3';
    $cookbook[$prefix]['versionnum'] = '2002003';
    $cookbook[$prefix]['description'][] = "Quicknotes for PmWiki";
    $cookbook[$prefix]['date']['datenum'] = '20100710';
    $cookbook[$prefix]['dependencies']['php']['version'] = "4.3.0";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.x";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "GNU General Public License/Free Software";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
    */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "qnotes-2.1.1-20100112"
    $qnotesVersion =
        $cookbook[$prefix]['name']."-".$cookbook[$prefix]['version']. '-'.$cookbook[$prefix]['date']['datenum'];
    $FmtPV['$qnotesVersion'] = "'$qnotesVersion'";
    //$FmtPV['$qnotesVersion'] = '$GLOBALS["qnotesVersion"]';

    $QNotes['version'] = $cookbook[$prefix]['version'];
    $QNotes['versionnum'] = $cookbook[$prefix]['versionnum'];

