<?php if (!defined('PmWiki')) exit();
/**
 * qnotes.list.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2010
 * @note This file is part of Cookbook recipe "QNotes" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package qnotes
 */

// **********************************************************
// Lists for nodes (list/menu/tree)
// **********************************************************

    $out = array();
    $qnotesOutFmt = '';
    global $ScriptUrl;

    if(@$args['showrootnode'] == '1' || @$args['showrootnode'] == true ) {
      $showrootnode = 1; } else { $showrootnode = 0; } //default

    $id = &$args[''][0];
    $qnDrawType = &$args[''][1];
    $qnPageName = &$args[''][2];
    $orient = &$args['orient'];
    $theme = &$args['theme'];
    $QNotes['fetchMode'] = $args['fetchMode'];

    $pageA = qnotes_get_page($qnPageName);
    $c = (array)qnotes_get_categories_array($qnPageName,$pageA);
    $qp = FmtPageName('$Name', $qnPageName);#todo
    $qnpagname = FmtPageName('$FullName', $qnPageName);#todo
    $pn = $QNotes['page']['CurrentGroup'].'.'.$QNotes['page']['CurrentName'];
    natcasesort($c);

    $nodefmt = (int)$args['nodefmt'];
    $nodetextfmt[0] = '$v1';
    $nodetextfmt[1] = '$v1 $c9'; //category + title
    $nodetextfmt[2] = '$v1 $c6'; //category + modifiedOn
    $nodetextfmt[3] = '$v1 $c9 $c6'; //category + title + modifiedOn
    if( ! $nodetextfmt[$nodefmt]) $nodefmt = 0;

    if(
       strtolower($qnDrawType) === 'list' &&
       (strtolower(@$args['listType']) === '' || strtolower(@$args['listType']) === 'default')
      ) {

      //============== list output as wikilist #todo
      $GLOBALS['RedoMarkupLine']++;
      foreach($c as $v) {
        list($v, $l) = explode('#', $v);
        $num = substr_count($v, '/');
        $v1 = ucfirst(trim(str_replace('/', '', strrchr($v, '/'))));
        $edl = $ScriptUrl.'?n='.$pn.'&amp;qn='.$v.'&amp;qnp='.$qnpagname;
        if($v1 == '') {
          //$vf = '*[[#nolink|Root]]';
          if($showrootnode) $vf = '*[[#nolink|'.$qp.']]';
        } else {
          if($showrootnode) $num = $num+1;
          $num = str_repeat("*", $num);
          $qnotesOutFmt .=  "\n" . $num . '[[' . $edl . '|' . $v1 . ']]';
        }
      }
      $qnotesOutFmt =  "\n". "(:div id='qnotesList1' class='qnotesList':)" .
          "\n".$vf.$qnotesOutFmt . "\n". '(:divend:)';

      }

    if(
       strtolower($qnDrawType) === 'list' &&
       strtolower(@$args['listType']) === 'jscm'
      ) {

      //============== list output as wikilist for JsCm (menu) #todo
      $GLOBALS['RedoMarkupLine']++;
      foreach($c as $v) {
        $num = substr_count($v, '/');
        list($v, $l) = explode('#', $v);
        $v1 = ucfirst(trim(str_replace('/', '', strrchr($v, '/'))));
        $edl = $ScriptUrl.'?n='.$pn.'&amp;qn='.$v.'&amp;qnp='.$qnpagname;
        if($v1 == '') {
          if($showrootnode) $vf = '*~#~[[#nolink|'.$qp.']]';
        } else {
          if($showrootnode) $num = $num+1;
          $num = str_repeat("*", $num);
          $qnotesOutFmt .=  "\n" . $num . '~#~[[' . $edl . '|' . $v1 . ']]';
        }
      }
      $qnotesOutFmt = "\n". "(:div id='qnotesList1' class='qnotesList':)".
          "\n" . $vf.$qnotesOutFmt . "\n". '(:divend:)' .
          "\n". "(:jscmDraw qnotesList1 $orient $theme:)"; //@todo

      }

    if(
       strtolower($qnDrawType) === 'list' &&
       strtolower(@$args['listType']) === 'phplm'
      ) {

      //============== list for Phplm (tree or menu) #todo
      $GLOBALS['RedoMarkupLine']++;
      foreach($c as $v) {
        list($v, $c1, $c2, $c3, $c4, $c5, $c6, $c7, $c8, $c9) = explode('#', $v);
        $c9 = $c9 ? '[Title:'.$c9.']' : ''; # title
        $c6 = $c6 ? '['.date('j/m/y, h:i:s A',$c6).']' : ''; # modifiedOn
        $num = substr_count($v, '/');
        $v1 = ucfirst(trim(str_replace('/', '', strrchr($v, '/'))));
        eval("\$v2 = \"$nodetextfmt[$nodefmt]\";");
        $edl = $ScriptUrl.'?n='.$pn.'&amp;qn='.$v.'&amp;qnp='.$qnpagname;
        //[dots]|[text]|[link]|[title]|[icon]|[target]|[expanded]
        if($c1 === '1') { $linkicon = 'link.png'; } else { $linkicon = ''; }
        if($v1 == '') {
          if($showrootnode) $vf = "\n" . '.|'.$qp.'|#nolink';
        } else {
          if($showrootnode) $num = $num+1;
          $num = str_repeat(".", $num);
          $o .=  "\n" . $num . '|' . $v2 . '|'. $edl . '|'. $v . '|'. $linkicon;
        }
      }
      $o = $vf . $o;
      if(trim($o) == '') $o = '.|'.$qp.'|#nolink';
      //$qnotesOutFmt = $o; return;
      global $Phplm;
      $Phplm["menu"]["PageNameFmt"]["Text"] =  $o; unset($o);
      $qnotesOutFmt =
          "\n". "(:phplmDraw qnotesList1 $orient $theme text:)".
          "\n" . '(:phplmAllHeaderFooter:)'; //@todo

      }


    unset($c);
    unset($out);
    unset($pageA);
